Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# BulletSoftBodyConfig Class Reference

List of all members.

## Public Types
enum | AeroModel { AMVertexPoint = 0, AMVertexTwoSided = 1, AMVertexOneSided = 2, AMFaceTwoSided = 3, AMFaceOneSided = 4 }
enum | CollisionFlag { CFRigidVsSoftMask = 15, CFSdfRigidSoft = 1, CFClusterRigidSoft = 2, CFSoftVsSoftMask = 48, CFVertexFaceSoftSoft = 16, CFClusterSoftSoft = 32, CFClusterSelf = 64 }
## Public Member Functions
| clearAllCollisionFlags ()
AeroModel | getAeroModel ()
float | getAnchorsHardness ()
| Getter for property kAHR.
int | getClusterSolverIterations ()
| Getter for property citerations.
bool | getCollisionFlag (CollisionFlag flag)
float | getDampingCoefficient ()
| Getter for property kDP.
float | getDragCoefficient ()
| Getter for property kDG.
int | getDriftSolverIterations ()
| Getter for property diterations.
float | getDynamicFrictionCoefficient ()
| Getter for property kDF.
float | getKineticContactsHardness ()
| Getter for property kKHR.
float | getLiftCoefficient ()
| Getter for property kLF.
float | getMaxvolume ()
| Getter for property maxvolume.
float | getPoseMatchingCoefficient ()
| Getter for property kMT.
int | getPositionsSolverIterations ()
| Getter for property piterations.
float | getPressureCoefficient ()
| Getter for property kPR.
float | getRigidContactsHardness ()
| Getter for property kCHR.
float | getSoftContactsHardness ()
| Getter for property kSHR.
float | getSoftVsKineticHardness ()
| Getter for property kSKHR_CL.
float | getSoftVsKineticImpulseSplit ()
| Getter for property kSK_SPLT_CL.
float | getSoftVsRigidHardness ()
| Getter for property kSRHR_CL.
float | getSoftVsRigidImpulseSplit ()
| Getter for property kSR_SPLT_CL.
float | getSoftVsSoftHardness ()
| Getter for property kSSHR_CL.
float | getSoftVsSoftImpulseSplit ()
| Getter for property kSS_SPLT_CL.
float | getTimescale ()
| Getter for property timescale.
float | getVelocitiesCorrectionFactor ()
| Getter for property kVCF.
int | getVelocitiesSolverIterations ()
| Getter for property viterations.
float | getVolumeConversationCoefficient ()
| Getter for property kVC.
| setAeroModel (AeroModel value)
| setAnchorsHardness (float value)
| Setter for property kAHR.
| setClusterSolverIterations (int value)
| Setter for property citerations.
| setCollisionFlag (CollisionFlag flag, bool value)
| setDampingCoefficient (float value)
| Setter for property kDP.
| setDragCoefficient (float value)
| Setter for property kDG.
| setDriftSolverIterations (int value)
| Setter for property diterations.
| setDynamicFrictionCoefficient (float value)
| Setter for property kDF.
| setKineticContactsHardness (float value)
| Setter for property kKHR.
| setLiftCoefficient (float value)
| Setter for property kLF.
| setMaxvolume (float value)
| Setter for property maxvolume.
| setPoseMatchingCoefficient (float value)
| Setter for property kMT.
| setPositionsSolverIterations (int value)
| Setter for property piterations.
| setPressureCoefficient (float value)
| Setter for property kPR.
| setRigidContactsHardness (float value)
| Setter for property kCHR.
| setSoftContactsHardness (float value)
| Setter for property kSHR.
| setSoftVsKineticHardness (float value)
| Setter for property kSKHR_CL.
| setSoftVsKineticImpulseSplit (float value)
| Setter for property kSK_SPLT_CL.
| setSoftVsRigidHardness (float value)
| Setter for property kSRHR_CL.
| setSoftVsRigidImpulseSplit (float value)
| Setter for property kSR_SPLT_CL.
| setSoftVsSoftHardness (float value)
| Setter for property kSSHR_CL.
| setSoftVsSoftImpulseSplit (float value)
| Setter for property kSS_SPLT_CL.
| setTimescale (float value)
| Setter for property timescale.
| setVelocitiesCorrectionFactor (float value)
| Setter for property kVCF.
| setVelocitiesSolverIterations (int value)
| Setter for property viterations.
| setVolumeConversationCoefficient (float value)
| Setter for property kVC.

## Member Enumeration Documentation

enum AeroModel

Enumerator:

  AMVertexPoint |
  AMVertexTwoSided |
  AMVertexOneSided |
  AMFaceTwoSided |
  AMFaceOneSided |

enum CollisionFlag

Enumerator:

  CFRigidVsSoftMask |
  CFSdfRigidSoft |
  CFClusterRigidSoft |
  CFSoftVsSoftMask |
  CFVertexFaceSoftSoft |
  CFClusterSoftSoft |
  CFClusterSelf |

## Member Function Documentation

clearAllCollisionFlags | ( |  | ) |

AeroModel getAeroModel | ( |  | ) |

float getAnchorsHardness | ( |  | ) |

Getter for property kAHR.

int getClusterSolverIterations | ( |  | ) |

Getter for property citerations.

bool getCollisionFlag | ( | CollisionFlag | flag | ) |

float getDampingCoefficient | ( |  | ) |

Getter for property kDP.

float getDragCoefficient | ( |  | ) |

Getter for property kDG.

int getDriftSolverIterations | ( |  | ) |

Getter for property diterations.

float getDynamicFrictionCoefficient | ( |  | ) |

Getter for property kDF.

float getKineticContactsHardness | ( |  | ) |

Getter for property kKHR.

float getLiftCoefficient | ( |  | ) |

Getter for property kLF.

float getMaxvolume | ( |  | ) |

Getter for property maxvolume.

float getPoseMatchingCoefficient | ( |  | ) |

Getter for property kMT.

int getPositionsSolverIterations | ( |  | ) |

Getter for property piterations.

float getPressureCoefficient | ( |  | ) |

Getter for property kPR.

float getRigidContactsHardness | ( |  | ) |

Getter for property kCHR.

float getSoftContactsHardness | ( |  | ) |

Getter for property kSHR.

float getSoftVsKineticHardness | ( |  | ) |

Getter for property kSKHR_CL.

float getSoftVsKineticImpulseSplit | ( |  | ) |

Getter for property kSK_SPLT_CL.

float getSoftVsRigidHardness | ( |  | ) |

Getter for property kSRHR_CL.

float getSoftVsRigidImpulseSplit | ( |  | ) |

Getter for property kSR_SPLT_CL.

float getSoftVsSoftHardness | ( |  | ) |

Getter for property kSSHR_CL.

float getSoftVsSoftImpulseSplit | ( |  | ) |

Getter for property kSS_SPLT_CL.

float getTimescale | ( |  | ) |

Getter for property timescale.

float getVelocitiesCorrectionFactor | ( |  | ) |

Getter for property kVCF.

int getVelocitiesSolverIterations | ( |  | ) |

Getter for property viterations.

float getVolumeConversationCoefficient | ( |  | ) |

Getter for property kVC.

setAeroModel | ( | AeroModel | value | ) |

setAnchorsHardness | ( | float | value | ) |

Setter for property kAHR.

setClusterSolverIterations | ( | int | value | ) |

Setter for property citerations.

setCollisionFlag | ( | CollisionFlag | flag,
|  | bool | value
| ) |  |

setDampingCoefficient | ( | float | value | ) |

Setter for property kDP.

setDragCoefficient | ( | float | value | ) |

Setter for property kDG.

setDriftSolverIterations | ( | int | value | ) |

Setter for property diterations.

setDynamicFrictionCoefficient | ( | float | value | ) |

Setter for property kDF.

setKineticContactsHardness | ( | float | value | ) |

Setter for property kKHR.

setLiftCoefficient | ( | float | value | ) |

Setter for property kLF.

setMaxvolume | ( | float | value | ) |

Setter for property maxvolume.

setPoseMatchingCoefficient | ( | float | value | ) |

Setter for property kMT.

setPositionsSolverIterations | ( | int | value | ) |

Setter for property piterations.

setPressureCoefficient | ( | float | value | ) |

Setter for property kPR.

setRigidContactsHardness | ( | float | value | ) |

Setter for property kCHR.

setSoftContactsHardness | ( | float | value | ) |

Setter for property kSHR.

setSoftVsKineticHardness | ( | float | value | ) |

Setter for property kSKHR_CL.

setSoftVsKineticImpulseSplit | ( | float | value | ) |

Setter for property kSK_SPLT_CL.

setSoftVsRigidHardness | ( | float | value | ) |

Setter for property kSRHR_CL.

setSoftVsRigidImpulseSplit | ( | float | value | ) |

Setter for property kSR_SPLT_CL.

setSoftVsSoftHardness | ( | float | value | ) |

Setter for property kSSHR_CL.

setSoftVsSoftImpulseSplit | ( | float | value | ) |

Setter for property kSS_SPLT_CL.

setTimescale | ( | float | value | ) |

Setter for property timescale.

setVelocitiesCorrectionFactor | ( | float | value | ) |

Setter for property kVCF.

setVelocitiesSolverIterations | ( | int | value | ) |

Setter for property viterations.

setVolumeConversationCoefficient | ( | float | value | ) |

Setter for property kVC.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties